package de.hft.stuttgart.citydoctor2.webservice;

import javax.ws.rs.ApplicationPath;

import org.glassfish.jersey.media.multipart.MultiPartFeature;
import org.glassfish.jersey.server.ResourceConfig;

import de.hft.stuttgart.citydoctor2.webservice.endpoints.BuildingEndpoint;
import de.hft.stuttgart.citydoctor2.webservice.endpoints.ChecksEndpoint;
import de.hft.stuttgart.citydoctor2.webservice.endpoints.LoginEndpoint;
import de.hft.stuttgart.citydoctor2.webservice.endpoints.LogoutEndpoint;
import de.hft.stuttgart.citydoctor2.webservice.endpoints.ModelsEndpoint;
import de.hft.stuttgart.citydoctor2.webservice.endpoints.RegisterEndpoint;
import de.hft.stuttgart.citydoctor2.webservice.endpoints.ValidationEndpoint;

@ApplicationPath("/rest")
public class CityDoctorWebService extends ResourceConfig {
	
	
	public CityDoctorWebService() {
		register(LoginEndpoint.class);
		register(RegisterEndpoint.class);
		register(ModelsEndpoint.class);
		register(MultiPartFeature.class);
		register(BuildingEndpoint.class);
		register(ValidationEndpoint.class);
		register(LogoutEndpoint.class);
		register(ChecksEndpoint.class);
	}
	
}
